Get Environment

get

/rpa/v1/environments/{identifier}

Gets a Environment by identifier

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Retrieves the Environment with the given id
Headers
  • For optimistic concurrency control. See `if-match`.
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Environment
Type: object
Details of Environment.
Show Source
Nested Schema : instanceMetadataProperties
Type: object
Additional Properties Allowed
Show Source
  • Minimum Length: 0
    Maximum Length: 1024
Map for the instance Metadata System Properties
Example:
{
    "InstanceId":"ocid.instance",
    "InstancePoolId":"ocid.instancePool",
    "CompartmentId":"ocid.compartment",
    "Region":"us-ashburn-1"
}
Nested Schema : systemProperties
Type: object
Additional Properties Allowed
Show Source
  • Minimum Length: 0
    Maximum Length: 1024
Map for the Environment System Properties
Example:
{
    "HostName":"JANEDOE-MACBOOKPRO",
    "OperatingSystemVersion":"12.6.5",
    "OperatingSystemName":"Mac OS X",
    "OperatingSystemArchitecture":"x86_64",
    "IPAddress":"10.0.1.3",
    "MacAddress":"F8-4D-89-87-F6-9D"
}

400 Response

Bad Request
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

401 Response

Unauthorized
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

404 Response

Not Found
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

429 Response

Too Many Requests
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

500 Response

Internal Server Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

Default Response

Unknown Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source
Back to Top